* {
    font-family: sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
a {
    text-decoration: none;
}
body {
    line-height: 1.6;
    color: #000;
    background-color: #fff;
}
.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}
header {
    border-top: 5px solid #FF7A00; 
}
.button{
    display: inline-block;
    padding: 12px 24px;
    border-radius: 4px;
    border-radius: 4px;
    font-size: 13px;
    font-weight: 700;
    transition: 0.3s;

}
.button--primary{
    background-color: #ff7500;
    color: #fff;
}
.button--primary:hover{
    opacity: 0.85;
}
.header {
    padding: 25px 0;
    background-color: #fff;
}
.header__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header__logo-img {
    height: 35px;
}
.header__list {
    display: flex;
    list-style: none;
    gap: 30px;
}
.header__link {
    text-decoration: none;
    color: #000;
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    transition: color 0.3s ease;
}
.header__link:hover {
    color: #FF7A00;
}
.header__link--active {
    color: #FF7A00;
    position: relative;
}
.header__link--active::after {
    content: "";
    position: absolute;
    bottom: -5px;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #FF7A0099;
}
.header__button {
    background-color: #FF7A00;
    color: #fff;
    border: none;
    padding: 12px 25px;
    border-radius: 6px;
    font-weight: bold;
    cursor: pointer;
    transition: opacity 0.3s ease;
}
.header__button:hover {
    opacity: 0.9;
}
.hero {
    background-color: #2D2D2D;
    padding: 60px 0 100px;
    color: #fff;
}
.hero__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.hero__content {
    flex: 0 0 45%;
}
.hero__title {
    font-size: 45px;
    font-weight: 800;
    line-height: 1.1;
    margin-bottom: 25px;
  
}
.orange-line {
    width: 60px;          
    height: 4px;          
    background-color: #FF7A00; 
    margin-bottom: 20px;  
    border-radius: 2px;  

}
.hero__description {
    font-size: 16px;
    color: #e0e0e0;
    margin-bottom: 30px;
    line-height: 1.5;
}
.hero__btn {
    display: inline-block;
    background-color: #FF7A00;
    color: #fff;
    text-decoration: none;
    padding: 14px 30px;
    border-radius: 4px;
    font-weight: bold;
    text-transform: capitalize;
}
.hero__image-wrapper {
    flex: 0 0 50%;
    position: relative;
}
.hero__image {
    width: 100%;
    filter: drop-shadow(0 10px 30px rgba(0,0,0,0.5));
    box-shadow: 30px 25px 3px #FF7A00;

    /* Hero end yani tugadi */
}
.features {
    padding: 80px 0;
}
.features__title {
    font-size: 72px;
    font-weight: 700;
    margin-bottom: 50px;
    max-width: 600px; 
    line-height: 1.2;
}
.features__title::before {
    display: block;
    width: 60px;
    height: 4px;
    background-color: #FF7A00;
    margin-bottom: 20px;
}
.features__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px; 
}
.features__card {
    display: flex;
    flex-direction: column;
}


.features__icon-wrapper {
    width: 70px;
    height: 70px;
    background-color: #FFF3E0;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    border-radius: 50px;
    max-width: 100%;
}
.features__icon {
    width: 30px;
    height: 30px;
}
.features__subtitle {
    font-size: 20px;
    font-weight: 800;
    margin-bottom: 15px;
}
.features__text {
    font-size: 15px;
    color: #444;
    line-height: 1.6;
}

@media (max-width: 992px) {
    .hero__container {
        flex-direction: column;
        text-align: center;
    }
    .features__grid {
        grid-template-columns: 1fr;
    }
    .features__title {
        font-size: 35px;
    }
}

.promo {
    padding: 40px 0 100px;
}

.promo__container {
    background-color: #252420;
    border-radius: 12px;
    padding: 48px 64px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    color: #fff;
    position: relative;
    display: flex;
    margin-top: 100px;
}

.promo__content {
    width: 48%;
}

.promo__title {
    font-size: 36px;
    line-height: 1.3;
    margin-bottom: 24px;
}

.promo__text {
    margin-bottom: 16px;
    font-size: 16px;
}

.promo__highlight {
    color: #ff7500;
    font-weight: 700;
}
.promo__text {
    margin-bottom: 16px;
    font-size: 16px;
}

.promo__highlight {
    color: #ff7500;
    font-weight: 700;
}

.promo__image-wrapper {
    width: 42%;
    position: relative;
    margin-top: -90px;
    
}

.promo__image {
    width: 100%;
    border-radius: 12px;
    margin-top: -100px;
  

}

.site-footer{
    background-color: #f8f8f8;
    padding: 56px 0;

}
.site-footer__top{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 32px;
}
.site-footer__socials{
    display: flex;
    gap: 16px;
}
.site-footer__socilas  a {
    color: #222;font-size: 14px;
}
.site-footer__socials a:hover{
    color: #ff7500;
}
.site-footer__divider{
    border: none;
    border-top: 1px solid #d9d9d9;
    margin-bottom: 32px;
}
.site-footer__links{
    display: flex;
    justify-content: space-between;
    gap: 40px;
    flex-wrap: wrap;

}

.site-footer__column{
    display: flex;
    flex-direction: column;
    gap: 12px;
    min-width: 100px;
}
.site-footer__column a{
    color: #222;
    font-size: 14px;
}
.site-footer__column a:hover{
    color: #ff7500;
}